API ReferenceMembers
Update a tenant membership
PUT
/v1/tenants/{tenantId}/memberships/{userId}Updates the membership of a user in the tenant. This includes the roles assigned to this user for this tenant.
Analytics Events
TENANT_MEMBERSHIP_UPDATE_STARTTENANT_MEMBERSHIP_UPDATE_SUCCESSTENANT_MEMBERSHIP_UPDATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Identifier of the tenant.
Format
uuiduserId*string
Identifier of the user who's membership is being updated.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
text/plain
curl -X PUT "https://example.com/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/memberships/818f7564-49cb-4003-b041-37aec302e2c9" \ -H "Content-Type: application/json" \ -d '{ "roles": [ "string" ] }'{ "userId": "string", "tenantId": "string", "roles": [ "string" ]}How would you rate this page?